Get ob institutions

GET https://api.martpay.net/api/v2/pis/payment/ob-institutions

To retrieve the list of banks through which a payment can be made, use the corresponding endpoint.

circle-info

Important: Some banks may be temporarily unavailable due to technical issues or maintenance. It is recommended to refresh the list with each order creation or cache it for a limited time to keep the information up to date.

Headers

Name
Value

key

x-api-key

value

{{api-key}}

Response

Name
Type
Description

[0]

object

Если банк доступен в нескольких странах, в ответе будут присутствовать несколько объектов с одинаковым идентификатором банка.

[0].institution_id

string (required)

Уникальный идентификатор банка.

[0].institution_name

string (required)

Название банка

[0].logo_link

string (optional)

URL - адрес логотипа банка. Предоставляется для большинства банков.

[0].extraFields

array of strings (required)

Содержит ноль или более дополнительных полей, которые клиенту необходимо заполнить для инициирования платежа. Возможные значения: name, psuId, psuCorporateId, bic, iban, country, city, postCode, addressLines.

[0].is_for_test

boolean

Флаг, обозначающий тестовый банк

Example

curl --location 'https://api.martpay.net/api/v2/pis/payment/ob-institutions' \
--header 'x-api-key: {{API_KEY}}' 

For a detailed description of each field, see the “Initiate Payment” section.

Last updated